<bugID>881909<Summary>Wrap and unwrap toolbaritems after customization mode transition finishes</Summary><Description>In bug 873060, Blake discovered that wrapping of toolbaritems is pretty expensive, and that it's making the transition choppy as it causes reflows as the transition is happening.

We can make this better by waiting for the transition to finish before we wrap the toolbaritems. We can also give the event loop some room to breathe by dispatching each wrap operation via Services.tm.currentThread.dispatch.

This significantly smoothed the entering of customization mode for me on OSX.

In the event that we can't get exiting finished, we might want to land this on the try build for our user research build.</Description></bugID>